from sqlalchemy import CHAR, Column, DateTime, String, BigInteger
from config.database import Base


class GuideWords(Base):
    """
    引导词表
    """

    __tablename__ = 'guide_words'

    guide_id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='引导词id')
    type = Column(String(2), nullable=True, comment='引导词类型')
    text = Column(String(1024), nullable=True, comment='文本内容')
    create_time = Column(DateTime, nullable=True, comment='创建时间')
    update_time = Column(DateTime, nullable=True, comment='修改时间')
    create_by = Column(String(64), nullable=True, comment='创建者')
    remark = Column(String(500), nullable=True, comment='备注')
    del_flag = Column(CHAR(1), nullable=False, comment='删除标志（0代表存在 2代表删除）')
    update_by = Column(String(64), nullable=True, comment='修改者')
    title = Column(String(64), nullable=True, comment='引导词名称')
    label = Column(String(2), nullable=True, comment='引导词标签')
    trigger_type = Column(String(2), nullable=True, comment='触发方式')



